Burp community forum

use 32-bit JVM

Shanthamurthy | Last updated: Aug 05, 2015 02:14PM UTC

I am wondering if I am using wrong version JVM or Burp Suite. Recently our organization renewed the Burp Suite Professional v1.6.21. In account to that I see an alert message each time I launch as "You appear to be using 32-bit JVM. Please note that some planned Burp features will not be fully supported on 32-bit systems." I have verified the Java installed on my Win 7 64-bit system is current. Please assist me what makes this alert to cause how to debug?

PortSwigger Agent | Last updated: Aug 10, 2015 08:29AM UTC

Even if you are using a 64-bit version of Windows, you might still have a 32-bit version of Java installed. In Burp, you can go to Help menu / Diagnostics to see exactly what version is being used to run Burp (look at the os.arch property). We would recommend downloading a 64-bit version of Java from Oracle and installing that.

Burp User | Last updated: Oct 16, 2015 05:03AM UTC

uninstall 32bit jre

Burp User | Last updated: Feb 01, 2020 09:02AM UTC

I work for CTF challenges this tool

Supradip | Last updated: Feb 14, 2020 06:00PM UTC

My system type is 32-bit operating system, x64-based processor and Edition is Windows 10 Home. Can I install and run Burp Suite on my system without installing Java? Please help me please... E-mail- supradipghosh415@gmail.com

Supradip | Last updated: Feb 14, 2020 06:00PM UTC

My system type is 32-bit operating system, x64-based processor and Edition is Windows 10 Home. Can I install and run Burp Suite on my system without installing Java? Please help me please... E-mail- supradipghosh415@gmail.com

Supradip | Last updated: Feb 14, 2020 06:03PM UTC

Can I install and run Burp Suite.jar on my system?

Uthman, PortSwigger Agent | Last updated: Feb 18, 2020 10:15AM UTC

Hi Supradip, I just want to apologize for the delay in replying to you. The latest version of Burp will only work on 64-bit systems. The last Community version to support 32-bit is 1.7.36 and the last Professional is 2.0.13beta.

You need to Log in to post a reply. Or register here, for free.